Summary:	Maintains identical copies of files on multiple machines
Name:		rdist
Version:	6.1.5
Release:	%mkrel 36
License:	BSD
Group:		Networking/File transfer
URL:		https://www.magnicomp.com/rdist/
Source0:	ftp://ftp.sunet.se/pub/unix/admin/mirror-magnicomp/download/rdist/rdist-%{version}.tar.bz2
Patch0:		rdist-6.1.5-linux.patch
Patch1:		rdist-6.1.5-links.patch
Patch2:		rdist-6.1.5-oldpath.patch
Patch3:		rdist-6.1.5-environ.patch
Patch4:		rdist-6.1.5-build-os-type-linux-is-not-svr4.patch
# tmpfile security fix
Patch5:		rdist-6.1.5-tmpfile.patch
Patch6:		rdist-6.1.5-optflags.patch
Patch7:		rdist-6.1.5-bison.patch
Patch8:		rdist-6.1.5-varargs.patch
Patch9:		rdist-6.1.5-lfs.patch
BuildRequires:	bison

%description
The rdist program maintains identical copies of files on multiple hosts. If
possible, rdist will preserve the owner, group, mode and mtime of files and it
can update programs that are executing.

%prep
%setup -q
%patch0 -p1 -b .linux
%patch1 -p0 -b .links
%patch2 -p1 -b .oldpath
%patch3 -p0 -b .environ
%patch4 -p1 -b .ostype
%patch5 -p1 -b .tmpfile
%patch6 -p1 -b .optflags
%patch7 -p1 -b .bison
%patch8 -p1 -b .varargs
%patch9 -p1 -b .lfs

%build
%set_build_flags
%__make

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/{man1,man8}

install -m 0755 src/rdist %{buildroot}%{_bindir}
install -m 0755 src/rdistd %{buildroot}%{_sbindir}
ln -sf ../sbin/rdistd %{buildroot}%{_bindir}/rdistd

install -m0644 doc/rdist.man %{buildroot}%{_mandir}/man1/rdist.1
install -m0644 doc/rdistd.man %{buildroot}%{_mandir}/man8/rdist.8

%files
%doc README
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*


%changelog
* Wed Mar 08 2023 daviddavid <daviddavid> 6.1.5-36.mga9
+ Revision: 1948395
- disable parallel build
- update Url

* Thu Mar 17 2022 umeabot <umeabot> 6.1.5-35.mga9
+ Revision: 1797113
- Mageia 9 Mass Rebuild

* Wed Nov 11 2020 joequant <joequant> 6.1.5-34.mga8
+ Revision: 1644592
- rebuild to fix build break

* Fri Feb 14 2020 umeabot <umeabot> 6.1.5-33.mga8
+ Revision: 1516376
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 6.1.5-32.mga7
+ Revision: 1300792
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Sat Feb 06 2016 umeabot <umeabot> 6.1.5-31.mga6
+ Revision: 940047
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.1.5-30.mga5
+ Revision: 743234
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.1.5-29.mga5
+ Revision: 688625
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.1.5-28.mga4
+ Revision: 518000
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 6.1.5-27.mga3
+ Revision: 380233
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 01 2011 steletch <steletch> 6.1.5-26.mga1
+ Revision: 79693
- imported package rdist


* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 6.1.5-26mdv2009.1
+ Revision: 319085
- rebuild

* Sat Sep 13 2008 Oden Eriksson <oeriksson@mandriva.com> 6.1.5-25mdv2009.0
+ Revision: 284507
- fix #35838 (rdist fails to copy files larger than 2G)

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 6.1.5-24mdv2009.0
+ Revision: 225314
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 6.1.5-23mdv2008.1
+ Revision: 179423
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 6.1.5-22mdv2007.1
+ Revision: 145465
- Import rdist

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 6.1.5-22mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 6.1.5-21mdk
- Rebuild

